Summary: 	A MIDI sound file player.
Name: 		playmidi
Version: 	2.5
Release: 	2
URL:		http://sourceforge.net/projects/playmidi/
Source:		%{name}-%{version}.tar.gz
Source2: 	awe_voice.h
Copyright: 	GPL
Group:		Multimedia
Patch0: 	playmidi-2.3-hertz.patch
Patch1: 	playmidi-2.3-awe2.patch
Patch2: 	playmidi-2.4-make.patch
Patch3: 	playmidi-2.4-midimap.patch
BuildRoot: 	/var/tmp/playmidi-root

%description
Playmidi plays MIDI (Musicial Instrument Digital Interface) sound
files through a sound card synthesizer.  This package includes basic
drum samples for use with simple FM synthesizers.

Install playmidi if you want to play MIDI files using your computer's
sound card.

%prep
%setup -q -n %{name}-2.4
cp $RPM_SOURCE_DIR/awe_voice.h .
%patch0 -p1 -b .consthertz
%patch1 -p1 -b .awe2
%patch2 -p1 -b .make
%patch3 -p1 -b .midimap

%build
PATH=.:$PATH
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi xplaymidi <<EOF
2
EOF

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{midi,X11/app-defaults}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,X11R6/bin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -s -m 755 playmidi $RPM_BUILD_ROOT/usr/bin
install -s -m 755 xplaymidi $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 XPlaymidi.ad $RPM_BUILD_ROOT/etc/X11/app-defaults/XPlaymidi
install -m 644 playmidi.1 $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT/etc/midi
for n in std.o3 drums.o3 std.sb drums.sb
do
	install -m 644 $n $RPM_BUILD_ROOT/etc/midi/$n
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc QuickStart
/usr/bin/playmidi 
%config /etc/midi/std.o3
%config /etc/midi/std.sb
%config /etc/midi/drums.o3
%config /etc/midi/drums.sb
%{_mandir}/man1/playmidi.*
%config /etc/X11/app-defaults/XPlaymidi
/usr/X11R6/bin/xplaymidi
